Georgian (ka) letters are very crappy!

Bug #62849 reported by Vladimer Sichinava on 2006-09-28
4
Affects Status Importance Assigned to Milestone
gfxboot-theme-ubuntu (Ubuntu)
Medium
Colin Watson
unifont (Ubuntu)
Undecided
Arne Goetje

Bug Description

Binary package hint: unifont

Gia Shervashidze provided a range of glyps for Georgian language.... maybe someone could insert them... to test ?

Georgian:

10D0:00000000000008040222221C00000000
10D1:000020302828081C2222221C00000000
10D2:00000000000000182404081C2222221C
10D3:0000000000000036494949464020100E
10D4:000000000000001C222202020222221C
10D5:000000000000001C2222020C0222221C
10D6:000030484848301C2222221C00000000
10D7:00000000000000364949493200000000
10D8:000000000000001C2222221400000000
10D9:00000000000000040202020C0222221C
10DA:000000000000002A555541424020100E
10DB:00001C222202021E2222221C00000000
10DC:00001E202020203C2222221C00000000
10DD:00000000000000364949412200000000
10DE:000008040202020C0222221C00000000
10DF:000000000000000E124A4A320202221C
10E0:00001E20404040764949412200000000
10E1:00002020202020242222221C00000000
10E2:000000000000000C12123C4A5242423C
10E3:000000000000006C121202020222221C
10E4:0000000000000036494949320101011E
10E5:000002020202020E121202020222221C
10E6:0000000000000036494941424040201C
10E7:00000000000000122222221E0202221C
10E8:00006C121202021E2222221C00000000
10E9:000018242428303C2222222400000000
10EA:00000000000000242222222C2222221C
10EB:000002020202021E2222221C00000000
10EC:00001B242420203C2222222428212020
10ED:00000808083A4C4C3A080C020222221C
10EE:000020202020203C2222221C00000000
10EF:00000000000008083E080C020222221C
10F0:000002020C02020C0222221C00000000
10F1:000022222C22222C2222221C00000000
10F2:000000000000001C22221C2200000000
10F3:000000000000003E020408040222221C
10F4:00000000000608080402020C0222221C
10F5:00003844443E043E4444443800000000
10F6:00000000201010103854543810101008
10F7:000000000000001C220204081020221C
10F8:00000000000000242222223C2022221C
10F9:000000000000001C2222221C0801120C
10FA:000000000000001C2222201804000000
10FB:00000000000000303006063030000000
10FC:001E20203C22221C0000000000000000

Vladimer Sichinava (alinux) wrote :

Need to test Georgian (ka) glyps for unifont package. Thank You.

Changed in unifont:
status: Unconfirmed → Fix Committed
Matt Zimmerman (mdz) wrote :

This bug is obviously not fixed, correcting the status

Changed in unifont:
status: Fix Committed → Unconfirmed
Vladimer Sichinava (alinux) wrote :
Matt Zimmerman (mdz) wrote :

I have uploaded a new unifont to edgy with these changes after testing them with Vladimer.

What he actually wants, though, is for the gfxboot screen to be fixed, which would require regenerating its font from the unifont X font. However, I have no idea how far out of sync they may be, and whether this could cause problems for other languages.

I'm CCing Colin in case he knows.

unifont (1:1.0-3ubuntu1) edgy; urgency=low

  * Replace Georgian glyphs with a set provided by Gia Shervashidze
    <email address hidden> (LP#62849)

 -- Matt Zimmerman <email address hidden> Thu, 28 Sep 2006 14:35:47 -0700

Changed in unifont:
assignee: nobody → mdz
status: Unconfirmed → Fix Released
zubu (zviad) wrote :

nice, new fonts are way better!

Colin Watson (cjwatson) wrote :

gfxboot-theme-ubuntu should be in sync with the previous version of unifont. I'll add a bug task to remind me to update the font for the next upload.

Changed in gfxboot-theme-ubuntu:
importance: Undecided → Medium
status: Unconfirmed → Confirmed
George Machitidze (giomac) wrote :

goood! I was waiting for this moment many years! Good job!

Colin Watson (cjwatson) wrote :

gfxboot-theme-ubuntu (0.2.5) edgy; urgency=low

  * Update font from unifont 1:1.0-3ubuntu1, improving Georgian glyphs
    (closes: Malone #62849).

 -- Colin Watson <email address hidden> Mon, 2 Oct 2006 10:55:50 +0100

Changed in gfxboot-theme-ubuntu:
assignee: nobody → kamion
status: Confirmed → Fix Released
Vladimer Sichinava (alinux) wrote :

Here is a small fix for Georgian letter

"წ" - 10EC

actual wrong:
10EC:00001B242420203C2222222428212020
new good, to fix:
10EC:00001B242420203C2222222428302020

I attach also entire(fidex) hex file.

Changed in unifont:
status: Fix Released → In Progress
Changed in gfxboot-theme-ubuntu:
status: Fix Released → In Progress
Matt Zimmerman (mdz) on 2007-10-11
Changed in unifont:
assignee: mdz → arnegoetje
Colin Watson (cjwatson) wrote :

unifont (1:1.0-4ubuntu2) hardy; urgency=low

  * Correct a small glitch in the Georgian "წ" character (LP: #62849).

 -- Colin Watson <email address hidden> Thu, 06 Dec 2007 17:06:29 +0000

Changed in unifont:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gfxboot-theme-ubuntu - 0.5.6

---------------
gfxboot-theme-ubuntu (0.5.6) hardy; urgency=low

  * Rebuild font with unifont 1:1.0-4ubuntu3 (thanks, Liu Qishuai;
    LP: #62849).
  * Include .po files from debian-installer in corpus used to build reduced
    font (LP: #106074, #195451).
  * Update keymaps from console-setup 1.21ubuntu3, fixing a number of
    Eastern European keymaps (LP: #196045).
  * Update for Vietnamese default layout change in console-setup
    1.21ubuntu3.

 -- Colin Watson <email address hidden> Fri, 29 Feb 2008 18:34:03 +0000

Changed in gfxboot-theme-ubuntu:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers